Overview | Package | Class | Tree | Deprecated | Index | Help
| Simian - Similarity Analyser v2.2.21
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## au.com.redhillconsulting.simian
Class DecoratorAuditListener

    java.lang.Object
      au.com.redhillconsulting.simian.DecoratorAuditListener

All Implemented Interfaces:
  AuditListener

    public class DecoratorAuditListener

extends java.lang.Object
implements AuditListener

Convenience base class for decorating audit listeners.

Version:
  $Id$
Author:
  Simon Harris

Constructor Summary
`DecoratorAuditListener(AuditListener listener)`

Method Summary
`void` | `block(Block block)` Called once for each block of duplicate lines within a set.
`void` | `endCheck(CheckSummary summary)` Called when checking has finished.
`void` | `endSet(java.lang.String text)` Called to indicate the end of a set of blocks of duplicate lines.
`void` | `fileProcessed(SourceFile sourceFile)` Called when a file has been loaded.
`void` | `startCheck(Options options)` Called when checking begins.
`void` | `startSet(int lineCount)` Called to indicate the start of a set of blocks of duplicate lines.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DecoratorAuditListener

    public DecoratorAuditListener(AuditListener listener)

Method Detail

### startCheck

    public void startCheck(Options options)

  Description copied from interface: `AuditListener`
  Called when checking begins.

  Specified by:
    `startCheck` in interface `AuditListener`
  Parameters:
    `options` - The options used when performing the check

### fileProcessed

    public void fileProcessed(SourceFile sourceFile)

  Description copied from interface: `AuditListener`
  Called when a file has been loaded.

  Specified by:
    `fileProcessed` in interface `AuditListener`
  Parameters:
    `sourceFile` - The file that was just loaded

### startSet

    public void startSet(int lineCount)

  Description copied from interface: `AuditListener`
  Called to indicate the start of a set of blocks of duplicate lines.

  Specified by:
    `startSet` in interface `AuditListener`
  Parameters:
    `lineCount` - The number of lines the blocks have in common

### block

    public void block(Block block)

  Description copied from interface: `AuditListener`
  Called once for each block of duplicate lines within a set.

  Specified by:
    `block` in interface `AuditListener`
  Parameters:
    `block` - the duplicated block.

### endSet

    public void endSet(java.lang.String text)

  Description copied from interface: `AuditListener`
  Called to indicate the end of a set of blocks of duplicate lines.

  Specified by:
    `endSet` in interface `AuditListener`
  Parameters:
    `text` - The text

### endCheck

    public void endCheck(CheckSummary summary)

  Description copied from interface: `AuditListener`
  Called when checking has finished.

  Specified by:
    `endCheck` in interface `AuditListener`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Simian - Similarity Analyser v2.2.21
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) 2003-07 RedHill Consulting Pty. Ltd. All rights reserved.